# -*- encoding: utf-8 -*-
# stub: winrm 1.3.3 ruby lib

Gem::Specification.new do |s|
  s.name = "winrm".freeze
  s.version = "1.3.3"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Dan Wanek".freeze, "Paul Morton".freeze]
  s.date = "2015-05-01"
  s.description = "    Ruby library for Windows Remote Management\n".freeze
  s.email = ["dan.wanek@gmail.com".freeze, "paul@themortonsonline.com".freeze]
  s.executables = ["rwinrm".freeze]
  s.extra_rdoc_files = ["README.md".freeze, "LICENSE".freeze]
  s.files = [".gitignore".freeze, ".rspec".freeze, ".rubocop.yml".freeze, ".travis.yml".freeze, "Gemfile".freeze, "LICENSE".freeze, "README.md".freeze, "Rakefile".freeze, "VERSION".freeze, "Vagrantfile".freeze, "bin/rwinrm".freeze, "changelog.md".freeze, "lib/winrm.rb".freeze, "lib/winrm/exceptions/exceptions.rb".freeze, "lib/winrm/helpers/iso8601_duration.rb".freeze, "lib/winrm/helpers/powershell_script.rb".freeze, "lib/winrm/http/response_handler.rb".freeze, "lib/winrm/http/transport.rb".freeze, "lib/winrm/output.rb".freeze, "lib/winrm/soap_provider.rb".freeze, "lib/winrm/winrm_service.rb".freeze, "preamble".freeze, "spec/auth_timeout_spec.rb".freeze, "spec/cmd_spec.rb".freeze, "spec/config-example.yml".freeze, "spec/exception_spec.rb".freeze, "spec/issue_59_spec.rb".freeze, "spec/matchers.rb".freeze, "spec/output_spec.rb".freeze, "spec/powershell_spec.rb".freeze, "spec/response_handler_spec.rb".freeze, "spec/spec_helper.rb".freeze, "spec/stubs/responses/open_shell_v1.xml".freeze, "spec/stubs/responses/open_shell_v2.xml".freeze, "spec/stubs/responses/soap_fault_v1.xml".freeze, "spec/stubs/responses/soap_fault_v2.xml".freeze, "spec/stubs/responses/wmi_error_v2.xml".freeze, "spec/winrm_options_spec.rb".freeze, "spec/winrm_primitives_spec.rb".freeze, "spec/wql_spec.rb".freeze, "winrm.gemspec".freeze]
  s.homepage = "https://github.com/WinRb/WinRM".freeze
  s.licenses = ["Apache-2.0".freeze]
  s.rdoc_options = ["-x".freeze, "test/".freeze, "-x".freeze, "examples/".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 1.9.0".freeze)
  s.rubygems_version = "2.6.4".freeze
  s.summary = "Ruby library for Windows Remote Management".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<gssapi>.freeze, ["~> 1.2"])
      s.add_runtime_dependency(%q<httpclient>.freeze, [">= 2.2.0.2", "~> 2.2"])
      s.add_runtime_dependency(%q<rubyntlm>.freeze, [">= 0.4.0"])
      s.add_runtime_dependency(%q<uuidtools>.freeze, ["~> 2.1.2"])
      s.add_runtime_dependency(%q<logging>.freeze, [">= 1.6.1", "~> 1.6"])
      s.add_runtime_dependency(%q<nori>.freeze, ["~> 2.0"])
      s.add_runtime_dependency(%q<gyoku>.freeze, ["~> 1.0"])
      s.add_runtime_dependency(%q<builder>.freeze, [">= 2.1.2"])
      s.add_development_dependency(%q<rspec>.freeze, ["~> 3.2.0"])
      s.add_development_dependency(%q<rake>.freeze, ["~> 10.3.2"])
      s.add_development_dependency(%q<rubocop>.freeze, ["~> 0.28.0"])
    else
      s.add_dependency(%q<gssapi>.freeze, ["~> 1.2"])
      s.add_dependency(%q<httpclient>.freeze, [">= 2.2.0.2", "~> 2.2"])
      s.add_dependency(%q<rubyntlm>.freeze, ["~> 0.4.0"])
      s.add_dependency(%q<uuidtools>.freeze, ["~> 2.1.2"])
      s.add_dependency(%q<logging>.freeze, [">= 1.6.1", "~> 1.6"])
      s.add_dependency(%q<nori>.freeze, ["~> 2.0"])
      s.add_dependency(%q<gyoku>.freeze, ["~> 1.0"])
      s.add_dependency(%q<builder>.freeze, [">= 2.1.2"])
      s.add_dependency(%q<rspec>.freeze, ["~> 3.2.0"])
      s.add_dependency(%q<rake>.freeze, ["~> 10.3.2"])
      s.add_dependency(%q<rubocop>.freeze, ["~> 0.28.0"])
    end
  else
    s.add_dependency(%q<gssapi>.freeze, ["~> 1.2"])
    s.add_dependency(%q<httpclient>.freeze, [">= 2.2.0.2", "~> 2.2"])
    s.add_dependency(%q<rubyntlm>.freeze, ["~> 0.4.0"])
    s.add_dependency(%q<uuidtools>.freeze, ["~> 2.1.2"])
    s.add_dependency(%q<logging>.freeze, [">= 1.6.1", "~> 1.6"])
    s.add_dependency(%q<nori>.freeze, ["~> 2.0"])
    s.add_dependency(%q<gyoku>.freeze, ["~> 1.0"])
    s.add_dependency(%q<builder>.freeze, [">= 2.1.2"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.2.0"])
    s.add_dependency(%q<rake>.freeze, ["~> 10.3.2"])
    s.add_dependency(%q<rubocop>.freeze, ["~> 0.28.0"])
  end
end

